import MapUtl from "@/components/map/mapUtil";
import { useEffect, useState } from "react";

const Weather = () => {
  const [wechaer, setWechaer] = useState<any>();
  useEffect(() => {
    setTimeout(() => {
      MapUtl.wecherInfo?.getLive("双流区", (err, data) => {
        setWechaer(data);
      });
    }, 2000);
  }, []);
  return (
    <div
      style={{
        flex: "1",
        display: "flex",
        alignItems: "center",
        justifyContent: "space-around",
        color: "#fff",
      }}
    >
      <p>天气:{wechaer?.weather}</p>
      <p>风向:{wechaer?.windDirection}</p>
      <p>风级:{wechaer?.windPower}</p>
      <p>湿度:{wechaer?.humidity}</p>
    </div>
  );
};

export default Weather;
